Get collection data
Request
Path Parameters
Header Parameters
sv, en, no, da, et, fr, de, it, lv, lt or ru.The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
2025-01-01.Responses
Insurance data successfully fetched.
Body
A list of addons that this insurance has
The coverage details of the insurance, including parameters
A list of deductibles associated with the insurance
A list of documents associated with the insurance
Unique identifier for the insurance.
The basic insurance data collected from the insurance company
A map of personal information for the person who collected data. E.g. personal number.
URL to the current insurance terms as a PDF, will be missing if there is no link.
curl https://api.insurely.com/insurance/collection/{collectionId}/data \
-H "client-id: <client-id>" \
-H "Insurely-Version: 2025-01-01"[
{
"addons": [],
"coverage": {
"documents": [],
"isVersionRequested": false,
"parameters": []
},
"deductibles": [
{
"deductibleAmount": 120,
"deductibleId": "deductibleGeneral",
"deductibleName": "Põhiomavastutus"
}
],
"id": "d8e44c3f-1f26-4cb8-9c2a-3c2ff9040f0b",
"insurance": {
"@market": "ee",
"apartmentNumber": "4",
"buildingMaterial": "BRICK",
"coming": false,
"constructionYear": "1975",
"endDate": "2026-06-30",
"holder": {
"@market": "ee",
"city": "Tartu",
"firstName": "Argo",
"identificationCode": {
"@type": "personal",
"code": "39205240234"
},
"lastName": "Tamm",
"name": "Argo Tamm",
"phoneNumber": "+3725123345",
"postalCode": "50406",
"streetAddress": "Lembitu 12-4"
},
"houseNumber": "12",
"immovablePropertyCoverage": {
"rebuildValue": true,
"sumInsured": {
"amount": 180000,
"currency": "EUR"
}
},
"insuranceCompany": "ee-if",
"insuranceName": "Kodukindlustus",
"insuranceNumber": "KK512774903",
"insuranceObjectCity": "Tartu",
"insuranceObjectPostalCode": "50406",
"insuranceObjectStreetAddress": "Lembitu 12",
"insuranceSubType": "condoInsurance",
"insuranceType": "houseContentInsurance",
"insuredMovablesAmount": {
"amount": 12000,
"currency": "EUR"
},
"livingArea": 62.4,
"permanentlyInhabited": true,
"premium": {
"@market": "core",
"amount": {
"amount": 483.03,
"currency": "EUR"
},
"paymentFrequency": -1,
"period": "YEARLY_PREMIUM_PERIOD"
},
"propertyRentalStatus": "NOT_RENTAL",
"renewalDate": "2026-07-01",
"renovationYear": "2012",
"startDate": "2025-07-01"
}
}
]